jQuote Help

Welcome to jQuote!

jQuote is an easy-to-use program that allows you to collect and use quotes from all kinds of sources. It lets you paste quotes (either chosen by you or randomly picked) into almost any Windows program. And it provides lots of tools to make it easy to organize the quotes that you have, and trade them with friends.

This manual describes how to use jQuote. It is divided into three major parts:

  • jQuote Overview -- This chapter gives a quick skim of the major features of jQuote. You should start here.
  • How to Use jQuote -- This chapter describes all of the main capabilities of jQuote, laid out in a how-to organization. For most people, this is the most useful section.
  • jQuote Reference (TO BE WRITTEN) -- This chapter provides a detailed guide to everything that jQuote can do. It goes through all of the menus and screens, and describes everything on them. If you have questions about exactly how to use something, look here.

Most people won't need to read this whole manual; it goes into lots of detail that only the advanced user will care about. In general, if you read through the jQuote Overview and the Most Common Functions, you'll probably be ready to use jQuote day-to-day. Have fun!


jQuote Overview

This chapter will provide you with the basics of using jQuote. It doesn't go into deep detail, but it will teach you what jQuote can do, and give you pointers to more-detailed instructions. It has the following sections:

  • Major jQuote Concepts -- What does the jargon here mean?
  • Copying and Pasting Quotes -- Getting a quote into an email, a Usenet posting, or wherever else you want to use it.
  • Organizing Your Quotes-- Ways that you can use jQuote to collect and manage your quote files.


Major jQuote Concepts

There are several terms that get used throughout this manual, so we should describe exactly what they mean.

A Quote is something that someone, somewhere, said. Some quotes are witty; some are deep and meaningful; some are simply strange. The program doesn't judge whether a quote is good or bad -- if you think it's interesting, pull it in. Quotes can be of any length (although jQuote is mostly used for short quotes, generally a sentence or three).

A Quotefile is a collection of quotes. jQuote ships with one quotefile, containing a bunch of generally interesting quotes. You can add more quotes to that file, or you can get separate special-interest quotefiles that you use at different times. You can create new quotefiles, and give them to friends.

Attribution refers to where a particular quote comes from. This usually means who said it, but sometimes it is a reference to a book, movie or similar source. It is recommended that you keep track of attributions, simply as a matter of being polite -- credit should go where it is due.

A Category is an idea that a bunch of quotes relate to. Possible categories include things like Politics; History; Humor; the Internet; Wise Sayings; and so on. You can create your own categories, and assign quotes to them. A given quote can be in any number of categories. (For example, a funny comment about the history of the Net might fall into "Humor", "History", and "Internet".) Categories exist to help you organize and keep track of your quotes.

The Hotkey is a key sequence that jQuote listens for. Whenever you press the hotkey sequence, jQuote will wake up and do the appropriate thing. At this point, there is only one hotkey sequence -- ctrl-shift-q -- which tells jQuote to paste a random quote into the currently-active program. Later releases of jQuote will allow you to do much more with hotkeys.

The Template is used to format your quotes. A quote is made up of several parts: the text, the attribution, maybe some comments, and so on. How these actually get formatted when you paste them into a message is up to the template.

There's more, but that should help get you started. Now, on to what you can do with jQuote...


Copying and Pasting

One of the main jobs of jQuote is to make it easy to copy quotes where you want them. It is most often used at the bottom of email messages, to add a little tab at the end of your mail, but you can use them wherever you think appropriate. There are two ways to use quotes: you can choose them yourself, or let the program choose one at random.

The easiest way to use jQuote is to just let the program choose quotes at random. Especially once you have a good-sized collection of quotes, this can add a fun note to your mail, giving the reader something extra to think about.

When jQuote is running, it is always sitting in the background, waiting to paste random quotes. Any time you press the jQuote hotkey (which is ctrl-shift-q by default), it pastes a random quote into the program you're currently in. So if you're composing an email, and you want a random quote at the end, just move the cursor down to the bottom of the email, press the hotkey, and a quote should appear.

(jQuote doesn't work with absolutely every program; some programs have their own way of doing things, which jQuote can't get into. But this will work with most well-behaved Windows text editors.)

The other way to paste quotes is to pick them out yourself; this is useful when you want to make a particular statement. You do this by opening up the jQuote window, selecting a particular quote (by clicking on it), and doing copy and paste commands just like any other Windows program. You can copy a quote by pressing ctrl-c in jQuote, and paste it into most other programs by pressing ctrl-v in that program. For more detailed instructions, see the section on Copying Specific Quotes.


Organizing Your Quotes

jQuote is a powerful system for managing your quotes and trading them with others. The next chapter goes into detail about all of the major functions, but here's a quick overview of what you can do:

  • You can Add new quotes to your quotefiles.
  • You can Import other quotefiles -- that is, you can add all of the quotes from another quotefile into your current one, combining them into a bigger quotefile.
  • You can Reorder your quotes. This is mainly for unregistered copies, which only allow you to use a small number of quotes at a time; by reordering, you can control which quotes will be used.
  • You can Split your quotes into multiple quotefiles, so that you can have different collections for different purposes, and send some of your quotes to friends.
  • You can Categorize your quotes, using whatever categories you think are appropriate for them.
  • You can Format your quotes however you like. The program ships with a simple template for formatting quotes, but you can customize it so it suits your own style.


How to Use jQuote

This chapter describes how to best make use of jQuote to organize and paste your quote collection. It is organized in a how-to format, with topics designed around what you are trying to accomplish. If you want a more detailed look at a specific window or function, see the Reference chapter instead.

This chapter is broken down into two main sections:

  • The Most Common Functions are the ones that the beginning user is most likely to be interested in. It describes how to obtain quotes and use them in the easiest ways.
  • Other Functions describes the fancier capabilities of jQuote. This section is interesting for more advanced users, who want to be able to organize their quotes more precisely, share their quotes with others, and format them in specific ways.


The Most Common jQuote Functions

This section describes how to do the central functions of jQuote -- the stuff you do every day. It specifically covers:

  • Pasting a Random Quote wherever you want one.
  • Opening the jQuote Window to be able to do most of the other functions.
  • Adding a New Quote to your quotefile.
  • Saving Changes to your quotefile.
  • Importing Quotes from another quotefile into yours.
  • Reordering Your Quotes, and why you might want to do so.
  • Shutting Down jQuote when you aren't using it.


Pasting a Random Quote

The main purpose of jQuote is making it easy to stick random quotes where you want them. You might only add quotes once a week or once a month (or even never), but most users paste quotes frequently.

In order to paste random quotes, jQuote needs to be running. By default, when you install jQuote, it sets things up so that it runs all the time. If this isn't the way you set it up, or if you've shut it down for some reason, you need to start it. jQuote runs in the background, which means that it doesn't usually show a window, but you can tell that it is running if you see the jQuote icon in the Windows System Tray (which is usually at the bottom-right of your screen). It generally looks something like this: You don't use jQuote directly to paste a random quote, though -- you do it inside whatever program you are using.

When jQuote is running, it is always listening for the hotkey sequence. Whenever you type this sequence (which by default is ctrl-shift-q), it pastes a random quote into whatever program you are running.

For example, say that you are composing an email message in Microsoft Outlook:

To add a random quote to this message, just move your cursor down to the bottom of the mail, and press ctrl-shift-q. One quote, chosen at random from your quotefile, gets pasted in wherever the cursor is:

There are a few programs that don't work with jQuote, mainly because they don't follow Windows standards. But most programs deal with it quite well.


Opening the Main jQuote Window

Most of the main functions of jQuote are done from the jQuote Window. This is hidden by default, since you don't need it in the way in order to paste random quotes. But it is easy to open, so long as jQuote is running. Just find the jQuote icon in the System Tray (which is usually in the lower right of your screen). It looks like this: .

(Some versions of Windows like to hide the icons. If you don't see the jQuote icon, but you do see an arrow like this: , then press the arrow. It will show the rest of the icons. If the jQuote icon still doesn't show up, then jQuote isn't running.)

Just click on the jQuote icon, and the jQuote Window will pop up. It will look something like this:

From here, you can get to all the other functions of jQuote.


Adding a New Quote

Of course, part of the fun of using jQuote is adding new quotes. When you hear or read one you want, you can easily add it to your quotefile.

First, open up the main jQuote Window. Then, from the Quotes menu, choose "Add New Quote...":

The Add Quote Window will show up:

You can now type the quote in, along with any other information you have about this quote. The fields you can type into are:

  • Quote Text is the guts of the quote itself: what was said. It is usually best to use multiple lines for this. The quote will be pasted into messages exactly as you type it here.
  • Attribution is who said it. This can have multiple lines, although it is usually only a single line. (If you use multiple lines, the scrollbar on the right will activate, so you can see the other lines.)
  • Comments are exactly that -- whatever comments you have about this quote. The comments usually aren't pasted, but you can set things up so that they are.
  • Categories are the concepts that this quote applies to. The categories shown are simply a sample -- you can add whatever categories you like. Click on the checkbox next to a category name to indicate that this category applies to this quote.
  • Permission lets you track whether you've been given explicit permission to use this quote. I recommend asking permission, and keeping track of that; it's simply polite. (And some people are very proprietary about their words. Remember, almost everything is copyrighted by default. It's always legally smartest to get permission if you can.) The currently available permissions are:
    • Unknown -- the default, if you don't know what the permission state is.
    • Requested -- permission has been asked for, but not yet granted.
    • Refused -- permission to use this quote has been denied.
    • Granted -- it is okay to use this quote.
    • Not Worth Trying -- you know that you won't be able to get permission for this quote.
    • Ancient -- this quote is so old that permission is not required. (But bear in mind that current copyright law extends for a very long time.
    • Not Needed -- for some other reason, you don't need to get permission to use this quote.
    • No Contact Info -- you don't know how to get permission for this quote.

The only field you must fill in is the Quote Text -- everything else is optional. Once you've filled in the fields you want, press the OK button. The Add New Quote window will go away, and the quote will be added to the quotes shown.

Now, you'll need to Save your work...


Saving Your Changes

Whenever you have altered your quotefile, whether by adding quotes, deleting them, importing them or whatever, the word "Modified" will show up at the bottom of the jQuote Window:

This means that the quotefile has been changed, but not saved. When you're sure that you like your changes, you should save them. Saving is easy: just go to the File menu and pick "Save":

Your changes will be saved to disk, and the word "Modified" will go away.

Actually, it's even easier than that. Any time you press ctrl-s in the jQuote Window, it will save your work. I recommend saving frequently -- it's a good habit to be in.


Importing

"Importing" means combining another quotefile into the current one -- adding all of the quotes from the other file into this one. By importing, you can quickly and easily add a bunch of quotes at once.

Say that a friend has emailed you a quote file, and you've saved it as "new quotes.quo". To import all of the quotes in it, select "Import Quotes" from the File menu:

This will bring up the Import Window:

Double-click on the file you want to import, or type its name. All of the quotes from that file will be immediately added to your current quotefile.

Don't worry about duplications when importing -- jQuote notices if a quote is already in your quotefile, and doesn't add it again. So if you get a new version of a file that you've already imported, you can simply import it again, and only the new quotes will be added.


Reordering Your Quotes

Usually, the order of the quotes in your quotefile doesn't matter much -- they're usually being used randomly, and you can always use Filtering to see just the ones you want. The exception is unregistered copies of jQuote. An unregistered copy only uses a small number of quotes -- just the first 25 in the quotefile -- so an unregistered user cares about which ones are first.

To put a quote at the top of the quotefile, so that it will be used in an unregistered copy of jQuote, select the quote by clicking on it. The quote will be highlighted:

Now, choose "Move Selected To Top" from the Quotes menu:

Your selected quote moves to the top of the list:

Note that the quotefile is now Modified (as it says at the bottom of the window). Don't forget to save your changes.


Shutting Down jQuote

To shut down jQuote, select "Exit" from the File menu if the jQuote Window is open. Alternatively, you can shut it down from the jQuote icon in the system tray (usually on the bottom-right of your screen). Right-click on the jQuote icon to show its menu:

Select "Exit jQuote" from that, and it will immediately shut down.

Note that pressing the little "x" at the top right of the jQuote Window does not cause jQuote to exit. That closes the jQuote Window and gets it out of your way, but leaves jQuote sitting in the background, listening for the hotkey. Under most circumstances this is fine -- you can usually just leave jQuote running all the time.


Other Functions

This section describes some of the more advanced capabilities of jQuote. The beginning user won't use these very often, but they're very useful for creating and sharing quotefiles, as well as managing your quotes more exactly. It covers:

  • Switching Quotefiles, so that you can keep several different special-purpose quotefiles.
  • Filtering Quotes so that you can work with exactly the quotes you're looking for right now.
  • Exporting Quotes, to create new quotefiles or add to other quotefiles.
  • Editing Quotes so that you can modify them to suit you.
  • Copying Specific Quotes when you want to paste a particular, non-random quote somewhere.
  • Deleting Quotes when you simply don't want them any more.
  • Adding and Removing Categories, so you can control the concepts that you file your quotes under.
  • Modifying the Quote Template, to control exactly what quotes look like when you paste them.


Switching Quotefiles

While a beginning user will usually only use a single quotefile, more advanced users will create and use many of them. Switching back and forth is easy. Choose "Open..." from the File menu, and the Open Window will appear:

Double-click on the quotefile you want to open, or type its name in, and press "Open". The new quotefile will be immediately opened, and its quotes will show up in the jQuote Window.

(If you have unsaved changes, it will ask you for confirmation before showing the Open Window, because opening a new quotefile will discard any changes you have made.)

Once you've opened a quotefile, it becomes the new default -- the next time you run jQuote, that file will be opened and used.


Filtering Quotes

It's easy to work with your quotefile when it only contains one or two dozen quotes. But large quotefiles can contain hundreds, even thousands of quotes. Finding what you're looking for can become a real nuisance in a file that large. This is where filtering comes in.

Note that, at top of the Quotes page of the jQuote Window, there is a button marked "Filter Quotes >>>":

When you press this button, the Filter Panel appears:

You use the Filter Panel to choose which quotes you want to look at. Note the bottom-left of the window. Normally, this shows how many quotes are in the active quotefile. Now, however, it shows both how many are in the quotefile and how many are visible. These will be the same numbers to start with, but that will changes when you begin filtering.

When the Filter Panel is visible, it only shows the quotes that pass the filters that you have selected. For example, say that you wanted to see the quotes that were written by BoB TeCH. Type the name (or a part of it) into the Attribution filter, and check the box next to it to turn it on. Now, only his quotes will be visible:

There are five filters available to use:

  • The Text Filter will only show quotes that contain the text you specify.
  • The Attribution Filter will only show quotes by the specified author. (More precisely, quotes whose attribution field contains the string you give -- you don't have to type the complete name.)
  • The Comments Filter will only show quotes with comments containing the string you give.
  • The Permissions Filter will only show quotes that have the permission level you check. You can check multiple permission levels -- for example, to show all quotes that are either Requested or Granted.
  • The Categories Filter will only show quotes that fall into one of the checked categories. Again, you can specify multiple categories.

You can turn multiple filters on, in which case it will show only quotes that match all of the given filters. (For example, quotes with a particular Attribution that fall into a particular Category.)

Filters are a very powerful mechanism for maintaining your quotefile. Once you get good at using them, you can quickly and easily find exactly the quotes you want.

When you are done filtering, you can turn all of the filters off by pressing the "<<< Stop Filtering" button, which has replaced the "Filter Quotes >>>" button at the top. The jQuote Window will return to normal, and all the quotes will be shown.


Exporting Quotes

Say that you want to send all your quotes by a specific author to a friend. You do this by exporting those quotes to a new quotefile, and then sending that quotefile.

In the jQuote Window, select the quote(s) that you want to send. Then, pick the "Export Selected Quotes..." item from the File menu. The Export Window will appear:

To create a new file, type the name of the new file you want and press "Save". To add these quotes to an existing file, double-click on that file. Either way, the quotes will be placed in the specified file. You can now send that file to your friend. (Or post it on the Web, or whatever.) They can then import the quotes into their own quotefile, or simply switch to the file you sent.


Copying Specific Quotes

jQuote is most often used to paste quotes that are randomly chosen from your quotefile. Sometimes, though, you want to say something specific -- you want just the right quote. This is how you do that:

  • Open up the jQuote Window, and go to the Quotes tab so you can see the quote listing.
  • Find the quote that you want. (If you have a lot of quotes, it's often easiest to use Filtering to find the right quote -- use the Text filter to find it from a snippet of the quote itself, or the Attribution filter to find it with the author's name.)
  • Select "Copy Selected to Clipboard" from the Quotes menu, or simply press ctrl-c. This will place the quote onto the Windows Clipboard.
  • Go to the place where you want the quote, and Paste in the usual Windows way. (Ctrl-v is usually the easiest way to Paste, but it's also on the Edit menu of most programs.)

This same procedure also works for many quotes at once. Just select a bunch of quotes in the jQuote Window, copy them to the clipboard, and paste them -- they'll all be pasted together.


Deleting Quotes

Sometimes, you wind up with quotes you simply don't want in your file. Deleting them is easy. In the jQuote Window, select the quote(s) that you don't want any more. Pick "Delete Selected Quotes" from the Quote menu, or simply press the Delete key. jQuote will ask you to confirm that you really want to get rid of this quote; press "Yes" to confirm. The quote will go away.

Since this is a change to your quotefile, the jQuote Window will now show that it has been modified. Remember to Save your changes in order to make them permanent.


Adding and Removing Categories

jQuote allows you to place quotes in any number of categories, grouping them by concepts like Humor, or Politics, or whatever suits you. The default quotefile ships with a few categories built in, but you're likely to come up with others that you prefer. This is how to change the category list.

In the jQuote Window, go to the Advanced tab (by clicking on the word "Advanced"). This will show the Advanced tab:

For now, we're concerned with the Categories listing, on the left side of the Advanced tab. All of the categories currently available are shown in the listing there.

Adding Categories

To add a new category, simply type it into the box marked "Add New Category:", and press Enter. As soon as you do, the new category will show up in the listing. It is now available to place quotes into -- when you Add or Edit a quote, the new category will show up.

Deleting Categories

If you have a category that you are sure you don't want any more, you can delete it. Select it in the Categories listing, by clicking on it. Then press the "Delete Selected Category" button. If any quotes are currently in this category, a window will pop up, telling you how many quotes are in it, and asking you to confirm that you want to delete the category; press "Yes" to confirm that you really want to do this. (If there aren't any quotes in the category, jQuote will silently let you delete it, since it's just taking up space.) The category will disappear from the Categories listing, and will not be available in Edit or Add Windows any more.

Since adding or deleting a category is a change to your quotefile, jQuote is marked Modified after you do either. Remember to save your changes.


Modifying the Quote Template

When you Paste a quote, it shows up formatted -- that is, in a nice form suitable for email and such. That isn't how it is stored internally, though: remember that, in the Add and Edit Windows, the Text, Attribution and Comments are all stored separately. The Format Template is responsible for telling jQuote how to take these fields and produce a pretty result.

jQuote comes with a simple, but entirely useable Format Template built in. You can see it in the Advanced tab, on the right side:

Since the template itself is a bit cryptic, it also shows a sample quote, which has been formatted according to the current state of the template.

Most people can simply use the provided template, but if you want to customize it, it isn't too difficult. The Format Template is simply some arbitrary text (whatever you like, including returns), plus some combination of format tags that tell jQuote where to put the quote information.

The available format tags are:

  • "<text/>" -- this is where to put the text of the quote itself.
  • "<attr/>" -- this is where to put the attribution for the quote.
  • "<comments/>" -- this is where to put the comments for the quote.

When formatting a quote, jQuote simply sticks the specified field where you tell it to. So in the picture above, you can see that it has put the text of the quote where the <text/> tag is, and the attribution where the <attr/> tag is.

Okay, so what's with the <attrWrap> tag, then? Wraps are pairs of tags that tell jQuote what the enclosing text for the field is. Say that you have a quote that has no attribution. You don't want it to be displayed with a line that just shows "--"; that looks silly. Instead, you want that line to be suppressed entirely if the attribution is missing. If Wraps are present for a field, and that field is empty, then jQuote will simply delete everything between the Wraps.

The Wraps are:

  • "<attrWrap>" and "</attrWrap>" mark the beginning and end of the Wrap around the attribution.
  • "<commentsWrap>" and "</commentsWrap>" mark the beginning and end of the Wrap around the comments.

So say that I want to customize our Format Template, so that I my name is at the top (so I can simply use this as my email signature), and I want to include the comments about the quote. I would change the template so that it looks like this:

You see that the ordinary text that I added (my signature) was simply copied directly into the formatted quote. I put the comments in parentheses, and placed them in a Wrap so that the parentheses don't show up if there aren't any comments in my quote.

The Format Template isn't actually part of your quotefile -- it's an option for you, and will be applied to whatever quotefile you're using. However, a change is a change: when you alter the template, the Modified flag will show up in the bottom of the jQuote Window, reminding you to save your changes.

Yes, it's a little complex. A later release of jQuote will have a fancier graphical interface for editing the Format Template, so you don't have to worry about the obscure tags. For now, though, this is a powerful feature for advanced users.


Editing Quotes

If you need to change a quote for some reason, it is quite easy. Just select the quote in the jQuote Window, and pick "Edit Selected Quotes..." from the Quotes menu:

The Edit Window will appear. This is just like the Add Quote Window, but is pre-populated with the specified quote, and has the number of the selected quote at the top:

Make the desired changes, then press OK to save them.

There are actually several different ways to get to the Edit Window. You can double-click on a quote in the jQuote Window; the Edit Window will open on that quote. You can select a quote, and press ctrl-e to open the Edit Window.

Also, you can select more than one quote in the jQuote Window. If you press the Ctrl key while clicking on a quote, it becomes selected or unselected. And you can select a range of quotes by clicking on a quote, then pressing Shift while clicking on another. All of the quotes between the two will be selected. All commands that work on selected quotes happen on all of the selected quotes. So if you select a bunch of quotes, and press ctrl-e, a separate Edit Window will appear for each of them.